[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TListAssignOp

List assign operation

## Declaration

Source position: classesh.inc line 205

`type TListAssignOp = (`
`laCopy,` |  | Clear list and copy all strings from second list.
`laAnd,` |  | Remove all elements not first second list
`laOr,` |  | Add all elements from second (and optional third) list, eliminate duplicates
`laXor,` |  | Remove elements in second lists, Add all elements from second list not in first list
`laSrcUnique,` |  | Just keep all elements that exist only in source list
`laDestUnique` |  | Keep all elements that exists only in list2
`);`

## Description

This type determines what operation TList.Assign or TFPList.assign performs.

## See also

TList.Assign |  | Copy the contents of other lists.
TFPList.assign |  | Assign performs the given operation on the list.

Documentation generated on: Feb 26 2014